> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe the current credential

> Returns the scope of the credential making the request, the organization it acts in, its default project (if any) and the permissions it was granted. Works for both project-scoped API keys and user-scoped credentials from the CLI or an MCP connector.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /v1/me
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Agent
  - name: Agent Endpoint
  - name: Call
  - name: Chat
  - name: Metric
  - name: Metric Policy
  - name: Metric Collection Job
  - name: Customer Flow
  - name: Customer Flow Edge Case
  - name: Simulation
  - name: Simulation Persona
  - name: Simulation Environment
  - name: Simulation Scenario
  - name: Simulation Run Plan
  - name: Simulation Template
  - name: Simulation Run Plan Job
  - name: Simulation Job
  - name: HTTP Request Definition
  - name: Webhook
  - name: Issue
  - name: Autoimprove
  - name: Agent Config
  - name: Knowledge Base
  - name: Config
  - name: Organization Project
  - name: Organization Project Member
  - name: Organization Project API Key
  - name: Organization Config
  - name: CLI Auth
  - name: Me
  - name: Project
  - name: Benchmark
  - name: Health
paths:
  /v1/me:
    get:
      tags:
        - Me
      summary: Describe the current credential
      description: >-
        Returns the scope of the credential making the request, the organization
        it acts in, its default project (if any) and the permissions it was
        granted. Works for both project-scoped API keys and user-scoped
        credentials from the CLI or an MCP connector.
      operationId: getV1Me
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/MeResponse'
                required:
                  - data
          description: The current credential
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Rate limit error
              example:
                type: rate_limit
                code: too_many_requests
                message: Rate limit exceeded
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Roark from '@roarkanalytics/sdk';

            const client = new Roark({
              bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
            });

            const me = await client.me.get();

            console.log(me.data);
        - lang: Python
          source: |-
            import os
            from roark_analytics import Roark

            client = Roark(
                bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
            )
            me = client.me.get()
            print(me.data)
components:
  schemas:
    MeResponse:
      type: object
      properties:
        tokenScope:
          type: string
          enum:
            - PROJECT
            - USER
        user:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            email:
              type: string
            name:
              type:
                - string
                - 'null'
          required:
            - id
            - email
            - name
        organization:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        defaultProject:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            slug:
              type: string
          required:
            - id
            - name
            - slug
        grantedPermissions:
          type: array
          items:
            type: string
        scopes:
          type: array
          items:
            type: string
      required:
        - tokenScope
        - user
        - organization
        - defaultProject
        - grantedPermissions
        - scopes
      description: The credential making this request, and what it is bound to
      example:
        tokenScope: USER
        user:
          id: 0b2b1c34-5d6e-4f70-8192-a3b4c5d6e7f8
          email: ada@example.com
          name: Ada Lovelace
        organization:
          id: 9f8e7d6c-5b4a-4312-9081-7f6e5d4c3b2a
          name: Example Inc
        defaultProject:
          id: 1a2b3c4d-5e6f-4701-8293-a4b5c6d7e8f9
          name: Support Line
          slug: support-line
        grantedPermissions:
          - call:read
          - metric:read
        scopes:
          - READ
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - payment_required
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````